<%@ Page Language="C#" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    PageStatePersister persister;
    protected override PageStatePersister PageStatePersister
    {
        get
        {
            return (persister != null)? persister : new SessionPageStatePersister(this);
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Telerik Compression Module</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server" />
        <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
        <telerik:RadSkinManager ID="RadSkinManager1" Skin="Office2007" runat="server" />
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadGrid1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <b>Traditional AJAX</b>
        <telerik:RadGrid ID="RadGrid1" Width="600px" AutoGenerateColumns="false" DataSourceID="LinqDataSource1"
            AllowPaging="true" AllowSorting="true" runat="server">
            <MasterTableView>
                <Columns>
                    <telerik:GridBoundColumn DataField="CustomerID" HeaderText="CustomerID" />
                    <telerik:GridBoundColumn DataField="CompanyName" HeaderText="CompanyName" />
                    <telerik:GridBoundColumn DataField="ContactName" HeaderText="ContactName" />
                    <telerik:GridBoundColumn DataField="City" HeaderText="City" />
                    <telerik:GridBoundColumn DataField="Country" HeaderText="Country" />
                </Columns>
            </MasterTableView>
            <PagerStyle Mode="NextPrevAndNumeric" />
        </telerik:RadGrid>
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="NorthwindDataContext"
            TableName="Customers">
        </asp:LinqDataSource>
        <br />
        <b>Client-binding to WebService</b>
        <telerik:RadGrid ID="RadGrid2" Width="600px" AutoGenerateColumns="false" AllowPaging="true" AllowSorting="true"
            runat="server">
            <MasterTableView>
                <Columns>
                    <telerik:GridBoundColumn DataField="CustomerID" HeaderText="CustomerID" />
                    <telerik:GridBoundColumn DataField="CompanyName" HeaderText="CompanyName" />
                    <telerik:GridBoundColumn DataField="ContactName" HeaderText="ContactName" />
                    <telerik:GridBoundColumn DataField="City" HeaderText="City" />
                    <telerik:GridBoundColumn DataField="Country" HeaderText="Country" />
                </Columns>
            </MasterTableView>
            <PagerStyle Mode="NextPrevAndNumeric" />
            <ClientSettings>
                <DataBinding Location="WebService.asmx" SelectMethod="GetData" SortParameterType="Linq"
                    FilterParameterType="Linq" />
            </ClientSettings>
        </telerik:RadGrid>
    </div>
    </form>
</body>
</html>
